Wallet

Broadcast a client-signed transaction

Broadcast a transaction that has been signed client-side. The transaction must be fully signed before sending. The fromAddress must be registered and belong to your organization (POST /api/wallet/non-custodial/register-address). **Supported chains:** EVM (ethereum, polygon, arbitrum, optimism, base, bsc, binance, avalanche, celo), UTXO (bitcoin, litecoin, dogecoin), and chain-specific (tron, solana, ton, cardano). Use `binance` or `bsc` for BNB Smart Chain. **Testing with custodial:** You can create a wallet via POST /api/wallet/create, get its private key via GET /api/wallet/{walletId}/private-key, register that address with POST /api/wallet/non-custodial/register-address, then build a signed tx (using POST /api/wallet/estimate-network-fee or estimate-gas for fees) and broadcast it here to test the non-custodial flow end-to-end.

AuthBearer (JWT)
GroupWallet
Rate limitSee Rate Limits
POST/api/wallet/non-custodial/broadcast

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);
import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await wallet.broadcastNonCustodialTransaction(
  {
    chain: "sensor copy",
    signedTx: "protocol input",
    fromAddress: "795 Brandon View"
  }
);
const { data: result } = await wallet.broadcastNonCustodialTransaction(
  {
    chain: "sensor copy",
    signedTx: "protocol input",
    fromAddress: "795 Brandon View"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Request Body

json
{
  "chain": "base",
  "signedTx": "0x02f8...",
  "fromAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
}
{
  "chain": "base",
  "signedTx": "0x02f8...",
  "fromAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
}

Responses

200Transaction broadcast successfully

Ethereum (ETH)

json
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "0xabc123def4567890123456789012345678901234567890123456789012345678",
    "chain": "ethereum",
    "fromAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "currency": "ETH"
  }
}
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "0xabc123def4567890123456789012345678901234567890123456789012345678",
    "chain": "ethereum",
    "fromAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "currency": "ETH"
  }
}

Polygon (MATIC)

json
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "0xdef4567890123456789012345678901234567890123456789012345678901234",
    "chain": "polygon",
    "fromAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "currency": "MATIC"
  }
}
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "0xdef4567890123456789012345678901234567890123456789012345678901234",
    "chain": "polygon",
    "fromAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "currency": "MATIC"
  }
}

Arbitrum One (ETH)

json
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef12",
    "chain": "arbitrum",
    "fromAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "currency": "ETH"
  }
}
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef12",
    "chain": "arbitrum",
    "fromAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "currency": "ETH"
  }
}

Optimism (ETH)

json
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
    "chain": "optimism",
    "fromAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "currency": "ETH"
  }
}
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
    "chain": "optimism",
    "fromAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "currency": "ETH"
  }
}

Base (ETH)

json
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "0xfedcba0987654321fedcba0987654321fedcba0987654321fedcba0987654321",
    "chain": "base",
    "fromAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "currency": "ETH"
  }
}
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "0xfedcba0987654321fedcba0987654321fedcba0987654321fedcba0987654321",
    "chain": "base",
    "fromAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "currency": "ETH"
  }
}

BNB Smart Chain (BNB)

json
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "0x9876543210fedcba9876543210fedcba9876543210fedcba9876543210fedcba",
    "chain": "bsc",
    "fromAddress": "0x8ba1f109551bD432803012645Hac136c22C929",
    "currency": "BNB"
  }
}
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "0x9876543210fedcba9876543210fedcba9876543210fedcba9876543210fedcba",
    "chain": "bsc",
    "fromAddress": "0x8ba1f109551bD432803012645Hac136c22C929",
    "currency": "BNB"
  }
}

Avalanche C-Chain (AVAX)

json
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "0xabcd1234ef567890abcd1234ef567890abcd1234ef567890abcd1234ef567890",
    "chain": "avalanche",
    "fromAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "currency": "AVAX"
  }
}
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "0xabcd1234ef567890abcd1234ef567890abcd1234ef567890abcd1234ef567890",
    "chain": "avalanche",
    "fromAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "currency": "AVAX"
  }
}

Celo (CELO)

json
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "0x567890abcd1234567890abcd1234567890abcd1234567890abcd1234567890ab",
    "chain": "celo",
    "fromAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "currency": "CELO"
  }
}
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "0x567890abcd1234567890abcd1234567890abcd1234567890abcd1234567890ab",
    "chain": "celo",
    "fromAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "currency": "CELO"
  }
}

Bitcoin (BTC)

json
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "a1b2c3d4e5f6789012345678901234567890abcdef1234567890abcdef12",
    "chain": "bitcoin",
    "fromAddress": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
    "currency": "BTC"
  }
}
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "a1b2c3d4e5f6789012345678901234567890abcdef1234567890abcdef12",
    "chain": "bitcoin",
    "fromAddress": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
    "currency": "BTC"
  }
}

Litecoin (LTC)

json
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "b2c3d4e5f6789012345678901234567890abcdef1234567890abcdef123456",
    "chain": "litecoin",
    "fromAddress": "ltc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
    "currency": "LTC"
  }
}
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "b2c3d4e5f6789012345678901234567890abcdef1234567890abcdef123456",
    "chain": "litecoin",
    "fromAddress": "ltc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
    "currency": "LTC"
  }
}

Dogecoin (DOGE)

json
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "c3d4e5f6789012345678901234567890abcdef1234567890abcdef12345678",
    "chain": "dogecoin",
    "fromAddress": "D7Y55LdSqtcsAUxDkw6fzRHn7n7otQDd6Fc",
    "currency": "DOGE"
  }
}
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "c3d4e5f6789012345678901234567890abcdef1234567890abcdef12345678",
    "chain": "dogecoin",
    "fromAddress": "D7Y55LdSqtcsAUxDkw6fzRHn7n7otQDd6Fc",
    "currency": "DOGE"
  }
}

Tron (TRX)

json
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "d4e5f6789012345678901234567890abcdef1234567890abcdef1234567890",
    "chain": "tron",
    "fromAddress": "TQn9Y2khEsLMWTg2LFLu8e3XyqB8K8FJ7z",
    "currency": "TRX"
  }
}
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "d4e5f6789012345678901234567890abcdef1234567890abcdef1234567890",
    "chain": "tron",
    "fromAddress": "TQn9Y2khEsLMWTg2LFLu8e3XyqB8K8FJ7z",
    "currency": "TRX"
  }
}

Solana (SOL)

json
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "5VERv8NMvzbJMEkV8xnrLkEaWRtSy9LN7ezS4qc3ws3DyPDKyd2Rdk4SxHpR2qDn2f2f2f2f2f2f2f2f2f2f2f",
    "chain": "solana",
    "fromAddress": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
    "currency": "SOL"
  }
}
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "5VERv8NMvzbJMEkV8xnrLkEaWRtSy9LN7ezS4qc3ws3DyPDKyd2Rdk4SxHpR2qDn2f2f2f2f2f2f2f2f2f2f2f",
    "chain": "solana",
    "fromAddress": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
    "currency": "SOL"
  }
}

TON (TON)

json
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "e5f6789012345678901234567890abcdef1234567890abcdef1234567890abcd",
    "chain": "ton",
    "fromAddress": "EQD0vdSA_NcR8c6z0x1gWhgWhgWhgWhgWhgWhgWhgWhgW",
    "currency": "TON"
  }
}
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "e5f6789012345678901234567890abcdef1234567890abcdef1234567890abcd",
    "chain": "ton",
    "fromAddress": "EQD0vdSA_NcR8c6z0x1gWhgWhgWhgWhgWhgWhgWhgWhgW",
    "currency": "TON"
  }
}

Cardano (ADA)

json
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "f6789012345678901234567890abcdef1234567890abcdef1234567890abcdef",
    "chain": "cardano",
    "fromAddress": "addr1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
    "currency": "ADA"
  }
}
{
  "success": true,
  "message": "Transaction broadcast successfully",
  "data": {
    "txHash": "f6789012345678901234567890abcdef1234567890abcdef1234567890abcdef",
    "chain": "cardano",
    "fromAddress": "addr1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
    "currency": "ADA"
  }
}
400
401
403
429

Errors

CodeMeaning
400
401
403
429
Edit this page on GitHub